%
\begin{frame}%
    \frametitle{Omero\hfill\raisebox{-1ex}{\includegraphics[width=.2\textwidth]{ome_logo.png}}}%
    \begin{block}{Key features}%
        \vspace{2ex}
        \begin{minipage}{\textwidth}%
            \mbox{}%
            \begin{minipage}[t]{.49\textwidth}%
                \begin{itemize}
                    \item Centralized storage on institute's servers
                    \item Clients: Desktop, Web
                    \item Access from ImageJ, python, matlab, R, \dots
                    \item Annotation based search \& filter
                    \item Group based access management and sharing
                \end{itemize}
            \end{minipage}%
            \begin{minipage}[t]{.49\textwidth}
                \begin{figure}
                    \includegraphics[width=\textwidth]{omero-overview}
                \end{figure}
            \end{minipage}
        \end{minipage}
    \end{block}%
\end{frame}%
%
